using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.Adapters;
using System.Web.UI;

namespace RussellMason.Data.SqlClient
{

	/// <summary>
	/// Provides the loading and saving of view state to SQL Server.
	/// </summary>
	public class SqlPageAdapter : PageAdapter
	{

		#region Methods

		/// <summary>
		/// Gets the Persister for SQL Server.
		/// </summary>
		/// <returns>
		/// An SqlPageStatePersister.
		/// </returns>
		public override PageStatePersister GetStatePersister()
		{
			SqlPageStatePersister persister = new SqlPageStatePersister(this.Page);

			return persister;
		} 

		#endregion Methods

	}

}
