<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ClientRibbonGroup.aspx.cs" Inherits="ClientRibbonGroup" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Client-side examples - Ribbon Groups</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script language="javascript" type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="min-width: 700px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Ribbon Groups" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" ClientMemberName="_applicationBar">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Ribbon Tab" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroupWithDialogLauncher" runat="server" Text="Ribbon Group With Dialog Launcher" Width="300px" GenerateClientMember="True" ClientMemberName="_ribbonGroupWithLauncher" ShowDialogLauncher="True" OnClientDialogLauncherClick="alert('Dialog Launcher Clicked');" DialogLauncherToolTip="Click this button to demonstate the OnClientDialogLauncherClick event">
						<PlaceHolder>
							<orb:OneRowLayout ID="Item1" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
							<orb:RibbonSeparator id="RibbonSeparator1" runat="server"></orb:RibbonSeparator>
							<orb:OneRowLayout ID="OneRowLayout1" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroupWithoutDialogLauncher" runat="server" Text="Ribbon Group Without Dialog Launcher" Width="300px" GenerateClientMember="True" ClientMemberName="_ribbonGroupWithoutLauncher">
						<PlaceHolder>
							<orb:OneRowLayout ID="OneRowLayout2" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
							<orb:RibbonSeparator id="RibbonSeparator2" runat="server"></orb:RibbonSeparator>
							<orb:OneRowLayout ID="OneRowLayout3" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Client-side examples</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Ribbon Group</div>
				<div class="plainText" style="margin-top: 8px;">
				To change the text in the Ribbon Group (with Dialog Launcher) enter some text and click the button.
				</div>
				<div style="margin-top: 8px;">
					<input id="GroupText" type="text" />&nbsp;
					<input id="SetTextButton" type="button" value="Set Text" onclick="_ribbonGroupWithLauncher.setText(GroupText.value);" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Ribbon Group Dialog Launcher</div>
				<div class="plainText" style="margin-top: 8px;">
				Click the Ribbon Group's Dialog Launcher button to see how to respond to the client event.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can see how changes made to the Ribbon on the client are 
				reflected back on the server.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Client-Side Examples" PostBackUrl="~/Examples/ClientSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
