<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ServerApplicationBar.aspx.cs" Inherits="ServerApplicationBar" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-side examples - Application Bar and Quick Access buttons</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script language="javascript" type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="min-width: 600px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Application Bar and Quick Access buttons" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" CustomizeToolTip="Customize the Quick Access Toolbar" OnClientCustomizeClick="_applicationBar.showCustomizeMenu(event);" CustomizeMenuID="CustomizeMenu" ClientMemberName="_applicationBar">
				<PlaceHolder>
					<orb:QuickAccessRibbonButton ID="ClickQuickAccessRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" ToolTip="Click this button to demonstate the Click event" ClientMemberName="_clickQuickAccessRibbonButton" AutoPostBack="True" OnClick="ClickQuickAccessRibbonButton_Click" />
					<orb:QuickAccessRibbonButton ID="EnabledQuickAccessRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" ToolTip="This button will reflect the Enabled state" ClientMemberName="_enabledQuickAccessRibbonButton" />
					<orb:QuickAccessRibbonButton ID="CheckedQuickAccessRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" ToolTip="This button will reflect the Checked state" ClientMemberName="_checkedQuickAccessRibbonButton" />
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Ribbon Tab 1" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Ribbon Tab 2" PageViewID="PageView2" ID="RibbonTab2">
					</radTS:Tab>
					<radTS:Tab ID="RibbonTab3" runat="server" PageViewID="PageView3" Text="Ribbon Tab 3">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%" CssClass="ribbonPart">
				</radTS:PageView>
				<radTS:PageView ID="PageView3" runat="server" Width="100%" CssClass="ribbonPart">
				</radTS:PageView>
				<radTS:PageView ID="PageView4" runat="server" Width="100%" CssClass="ribbonPart">
					<radM:RadMenu ID="ApplicationMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Root RadMenuItem 1">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Root RadMenuItem 2">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Root RadMenuItem 3">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
					<radM:RadMenu ID="CustomizeMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None" OnItemClick="CustomizeMenu_ItemClick">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem11" runat="server" Text="Minimize the Ribbon" Value="MinimizeRibbon" ImageUrl="~/Images/Misc/Unchecked.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>				
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Server-side examples</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Application Menu</div>
				<div class="plainText" style="margin-top: 8px;">
				The Ribbon's Application Menu is provided by a Telerik RadMenu control with some additional 
				images and CSS styles.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">ApplicationBar</div>
				<div class="plainText" style="margin-top: 8px;">
				To change the text in the Application Bar enter some text in the appropriate text box and click 
				the accompanying button.
				</div>
				<div style="margin-top: 8px;">
					<asp:TextBox runat="server" ID="DocumentText"></asp:TextBox>&nbsp;
					<asp:Button runat="server" ID="DocumentTextButton" Text="Set Document Text" OnClick="DocumentTextButton_Click" />				
				</div>
				<div style="margin-top: 8px;">
					<asp:TextBox runat="server" ID="ApplicationText"></asp:TextBox>&nbsp;
					<asp:Button runat="server" ID="ApplicationTextButton" Text="Set Application Text" OnClick="ApplicationTextButton_Click" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				The ribbon can also be minimized using the customize menu on the Application Bar.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">QuickAccessRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				This text box will show the results of clicking the Quick Access Ribbon button.
				</div>
				<div style="margin-top: 8px;">
				<asp:TextBox runat="server" ID="EventText" Rows="4" TextMode="MultiLine" Width="500px"></asp:TextBox>
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking the following buttons toggle the state of the Quick Access buttons on the Quick
				Access toolbar.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" ID="SetEnabledButton" Text="Toggle Enabled State" OnClick="SetEnabledButton_Click" />				
					<asp:Button runat="server" ID="SetCheckedButton" Text="Toggle Checked State" OnClick="SetCheckedButton_Click" />				
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Ribbon Tabs</div>
				<div class="plainText" style="margin-top: 8px;">
				The Ribbon's Tabs are provided by Telerik's TabStrib, Tab, RadMultiPage, and PageView
				controls with some additonal CSS styles.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can ensure changes are permanently persisted.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Server-Side Examples" PostBackUrl="~/Examples/ServerSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem2" runat="server" Text="Main Menu 1" ImageUrl="~/Images/32x32/Document.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem3" runat="server" Text="Main Menu 2" ImageUrl="~/Images/32x32/Document.gif">
								<Items>
									<radM:RadMenuItem ID="RadMenuItem4" runat="server" Text="Child Menu Title">
									</radM:RadMenuItem>
									<radM:RadMenuItem ID="RadMenuItem5" runat="server" ImageUrl="~/Images/32x32/Document.gif" Text="Child Menu 1">
									</radM:RadMenuItem>
									<radM:RadMenuItem ID="RadMenuItem6" runat="server" ImageUrl="~/Images/32x32/Document.gif" Text="Child Menu 2">
									</radM:RadMenuItem>
								</Items>
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem10" runat="server" Text="Main Menu 3" ImageUrl="~/Images/32x32/Document.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
