using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

using Telerik.WebControls;

using RussellMason.Web.UI;
using RussellMason.Web.UI.Office2007;

public partial class ServerLargeRibbonButton : RibbonPage
{

	protected void ClickLargeRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Large Ribbon Button Clicked" + Environment.NewLine;
	}

	protected void DropDownLargeRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Large Ribbon Button With Drop Down Clicked" + Environment.NewLine;
	}

	protected void ClickLargeSplitRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Large Split Ribbon Button Clicked" + Environment.NewLine;
	}

	protected void ClickLargeSplitRibbonButton_BottomClick(object sender, EventArgs e)
	{
		this.EventText.Text += "Large Split Ribbon Bottom Button Clicked" + Environment.NewLine;
	}

	protected void ToggleEnabled_Click(object sender, EventArgs e)
	{
		this.EnabledLargeRibbonButton.Enabled = !this.EnabledLargeRibbonButton.Enabled;
		this.DropDownEnabledLargeRibbonButton.Enabled = !this.DropDownEnabledLargeRibbonButton.Enabled;
	}
	
	protected void ToggleChecked_Click(object sender, EventArgs e)
	{
		this.CheckedLargeRibbonButton.Checked = !this.CheckedLargeRibbonButton.Checked;
		this.DropDownCheckedLargeRibbonButton.Checked = !this.DropDownCheckedLargeRibbonButton.Checked;
	}
	
	protected void ChangeText_Click(object sender, EventArgs e)
	{
		if (this.TextLargeRibbonButton.Text == "Set")
		{
			this.TextLargeRibbonButton.Text = "Reset";
		}
		else
		{
			this.TextLargeRibbonButton.Text = "Set";
		}
	}
	
	protected void ToggleEnabledSplit_Click(object sender, EventArgs e)
	{
		this.EnabledLargeSplitRibbonButton.Enabled = !this.EnabledLargeSplitRibbonButton.Enabled;
	}

	protected void TextSplit_Click(object sender, EventArgs e)
	{
		if (this.TextLargeRibbonSplitButton.Text == "Set")
		{
			this.TextLargeRibbonSplitButton.Text = "Reset";
		}
		else
		{
			this.TextLargeRibbonSplitButton.Text = "Set";
		}
	}

}
