<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ServerProgrammatic.aspx.cs" Inherits="ServerProgrammatic" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-side examples - Programmatic</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script language="javascript" type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="min-width: 670px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Programmatic" GenerateClientMember="True" ClientMemberName="_applicationBar">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage1" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Ribbon Tab" PageViewID="PageView1" ID="RibbonTab">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" style="min-width: 900px;">
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%">
					<radM:RadMenu ID="DropDownMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None" style="left: 1px">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Drop Down Menu 1">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Drop Down Menu 2">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Drop Down Menu 3">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Server-side examples</div>
				<div class="plainText" style="margin-top: 8px;">
				This text box will show the results of clicking any Ribbon button that has a server-side event handler.
				</div>
				<div style="margin-top: 8px;">
				<asp:TextBox runat="server" ID="EventText" Rows="4" TextMode="MultiLine" Width="500px"></asp:TextBox>
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can ensure changes are permanently persisted.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Server-Side Examples" PostBackUrl="~/Examples/ServerSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
