<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ServerRibbonGroup.aspx.cs" Inherits="ServerRibbonGroup" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-side examples - Ribbon Groups and Layouts</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script language="javascript" type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="min-width: 760px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Ribbon Groups and Layouts" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" ClientMemberName="_applicationBar">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Groups" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
					<radTS:Tab ID="RibbonTab2" runat="server" PageViewID="PageView2" Text="Layouts">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroupWithDialogLauncher" runat="server" Text="Ribbon Group With Dialog Launcher" Width="372px" GenerateClientMember="True" ClientMemberName="_ribbonGroupWithLauncher" ShowDialogLauncher="True" DialogLauncherToolTip="Click this button to demonstate the DialogLauncherClick event" AutoPostBack="True" OnDialogLauncherClick="RibbonGroupWithDialogLauncher_DialogLauncherClick">
						<PlaceHolder>
							<orb:OneRowLayout ID="Item1" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
							<orb:RibbonSeparator id="RibbonSeparator1" runat="server"></orb:RibbonSeparator>
							<orb:OneRowLayout ID="OneRowLayout1" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroupWithoutDialogLauncher" runat="server" Text="Ribbon Group Without Dialog Launcher" Width="360px" GenerateClientMember="True" ClientMemberName="_ribbonGroupWithoutLauncher">
						<PlaceHolder>
							<orb:OneRowLayout ID="OneRowLayout2" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
							<orb:RibbonSeparator id="RibbonSeparator2" runat="server"></orb:RibbonSeparator>
							<orb:OneRowLayout ID="OneRowLayout3" runat="server">
								<PlaceHolder><div class="plainText">Group content goes here</div></PlaceHolder>
							</orb:OneRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%">
					<orb:RibbonGroup ID="ThreeRowGroup" runat="server" ClientMemberName="_threeRowGroup"
						Text="Three Row Layouts" Width="291px">
						<PlaceHolder>
							<orb:ThreeRowLayout ID="ThreeRowLayout1" runat="server">
								<BottomPlaceHolder>
									<asp:CheckBox ID="CheckBox9" runat="server" CssClass="ribbonBarCheckBox" Text="Info" />
								</BottomPlaceHolder>
								<TopPlaceHolder>
									<asp:CheckBox ID="CheckBox7" runat="server" CssClass="ribbonBarCheckBox" Text="Info" />
								</TopPlaceHolder>
								<CenterPlaceHolder>
									<asp:CheckBox ID="CheckBox8" runat="server" CssClass="ribbonBarCheckBox" Text="Info" />
								</CenterPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator6" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout6" runat="server">
								<TopPlaceHolder>
									<asp:CheckBox ID="CheckBox4" runat="server" CssClass="ribbonBarCheckBox" Text="Info" />
								</TopPlaceHolder>
								<CenterPlaceHolder>
									<asp:CheckBox ID="CheckBox5" runat="server" CssClass="ribbonBarCheckBox" Text="Info" />
								</CenterPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator7" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout7" runat="server">
								<TopPlaceHolder>
									<asp:CheckBox ID="CheckBox6" runat="server" CssClass="ribbonBarCheckBox" Text="Info" />
								</TopPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator8" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout8" runat="server" Width="75px">
								<BottomPlaceHolder>
									<radC:RadComboBox ID="RadComboBox1" runat="server" Skin="Office2007" Width="75px">
										<Items>
											<radC:RadComboBoxItem runat="server" Text="2007" />
											<radC:RadComboBoxItem runat="server" Text="2008" />
											<radC:RadComboBoxItem runat="server" Text="2009" />
											<radC:RadComboBoxItem runat="server" Text="2010" />
										</Items>
									</radC:RadComboBox>
								</BottomPlaceHolder>
								<TopPlaceHolder>
									<asp:Label ID="Label3" runat="server" CssClass="ribbonBarLabelTitle" Text="Info"></asp:Label>
								</TopPlaceHolder>
								<CenterPlaceHolder>
									<radC:RadComboBox ID="RadComboBox2" runat="server" Skin="Office2007" Width="75px">
										<Items>
											<radC:RadComboBoxItem runat="server" Text="Day" />
											<radC:RadComboBoxItem runat="server" Text="Week" />
											<radC:RadComboBoxItem runat="server" Text="Month" />
											<radC:RadComboBoxItem runat="server" Text="Year" />
										</Items>
									</radC:RadComboBox>
								</CenterPlaceHolder>
							</orb:ThreeRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="TwoRowGroup" runat="server" ClientMemberName="_twoRowGroup"
						Text="Two Row Layouts" Width="198px">
						<PlaceHolder>
							<orb:TwoRowLayout ID="TwoRowLayout1" runat="server">
								<BottomPlaceHolder>
									<radTlb:RadToolbar ID="RadToolbar2" runat="server" ImagesDir="~/Images/16x16/" Skin="Office2007">
										<Items>
											<radTlb:RadToolbarButton runat="server" ButtonImage="Document.gif" ButtonText="Document.gif"
												CommandName="Save1" Hidden="False" />
											<radTlb:RadToolbarButton runat="server" ButtonImage="Document.gif" ButtonText="Save2"
												CommandName="Save2" Hidden="False" />
											<radTlb:RadToolbarButton runat="server" ButtonImage="Document.gif" ButtonText="Save"
												CommandName="Save3" Hidden="False" />
										</Items>
									</radTlb:RadToolbar>
								</BottomPlaceHolder>
								<TopPlaceHolder>
									<radTlb:RadToolbar ID="RadToolbar1" runat="server" ImagesDir="~/Images/16x16/" Skin="Office2007">
										<Items>
											<radTlb:RadToolbarButton runat="server" ButtonImage="Document.gif" ButtonText="Document.gif"
												CommandName="Save1" Hidden="False" />
											<radTlb:RadToolbarButton runat="server" ButtonImage="Document.gif" ButtonText="Save2"
												CommandName="Save2" Hidden="False" />
											<radTlb:RadToolbarButton runat="server" ButtonImage="Document.gif" ButtonText="Save"
												CommandName="Save3" Hidden="False" />
										</Items>
									</radTlb:RadToolbar>
								</TopPlaceHolder>
							</orb:TwoRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator3" runat="server" />
							<orb:TwoRowLayout ID="TwoRowLayout2" runat="server">
								<BottomPlaceHolder>
									<radTlb:RadToolbar ID="RadToolbar3" runat="server" ImagesDir="~/Images/16x16/" Skin="Office2007">
										<Items>
											<radTlb:RadToolbarButton ID="RadToolbarButton1" runat="server" ButtonImage="Document.gif"
												ButtonText="Document.gif" CommandName="Save1" Hidden="False" />
											<radTlb:RadToolbarButton ID="RadToolbarButton2" runat="server" ButtonImage="Document.gif"
												ButtonText="Save2" CommandName="Save2" Hidden="False" />
											<radTlb:RadToolbarButton ID="RadToolbarButton3" runat="server" ButtonImage="Document.gif"
												ButtonText="Save" CommandName="Save3" Hidden="False" />
										</Items>
									</radTlb:RadToolbar>
								</BottomPlaceHolder>
								<TopPlaceHolder>
									<radTlb:RadToolbar ID="RadToolbar4" runat="server" ImagesDir="~/Images/16x16/" Skin="Office2007">
										<Items>
											<radTlb:RadToolbarButton ID="RadToolbarButton4" runat="server" ButtonImage="Document.gif"
												ButtonText="Document.gif" CommandName="Save1" Hidden="False" />
											<radTlb:RadToolbarButton ID="RadToolbarButton5" runat="server" ButtonImage="Document.gif"
												ButtonText="Save2" CommandName="Save2" Hidden="False" />
											<radTlb:RadToolbarButton ID="RadToolbarButton6" runat="server" ButtonImage="Document.gif"
												ButtonText="Save" CommandName="Save3" Hidden="False" />
										</Items>
									</radTlb:RadToolbar>
								</TopPlaceHolder>
							</orb:TwoRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="OneRowGroup" runat="server" ClientMemberName="_oneRowGroup"
						Text="One Row Layouts" Width="606px">
						<PlaceHolder>
							<orb:OneRowLayout ID="OneRowLayout5" runat="server">
								<PlaceHolder>
									<asp:Button ID="Button1" runat="server" Height="66px" Text="Button" />
								</PlaceHolder>
							</orb:OneRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator4" runat="server" />
							<orb:OneRowLayout ID="OneRowLayout4" runat="server">
								<PlaceHolder>
									<radg:radgrid id="RadGrid1" runat="server" allowsorting="True" gridlines="None" height="66px"
										skin="Office2007" width="250px" AutoGenerateColumns="False">
<ClientSettings>
<Scrolling UseStaticHeaders="True" AllowScroll="True" ScrollHeight="46px"></Scrolling>
	<Selecting AllowRowSelect="True" />
</ClientSettings>

<MasterTableView Width="230px">
<ExpandCollapseColumn Visible="False">
<HeaderStyle Width="19px"></HeaderStyle>
</ExpandCollapseColumn>

<RowIndicatorColumn Visible="False">
<HeaderStyle Width="20px"></HeaderStyle>
</RowIndicatorColumn>
	<Columns>
		<radG:GridBoundColumn DataField="Name" HeaderText="Name" UniqueName="Name">
			<HeaderStyle Width="105px" />
		</radG:GridBoundColumn>
		<radG:GridBoundColumn DataField="Position" HeaderText="Position" UniqueName="Position">
			<HeaderStyle Width="105px" />
		</radG:GridBoundColumn>
	</Columns>
</MasterTableView>
</radg:radgrid>
								</PlaceHolder>
							</orb:OneRowLayout>
							</Placeholder>
					</orb:RibbonGroup>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Server-side examples</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Ribbon Group</div>
				<div class="plainText" style="margin-top: 8px;">
				To change the text in the Ribbon Group (with Dialog Launcher) enter some text and click the button.
				</div>
				<div style="margin-top: 8px;">
					<asp:TextBox runat="server" ID="GroupText"></asp:TextBox>&nbsp;
					<asp:Button runat="server" ID="SetTextButton" Text="Set Text" OnClick="SetTextButton_Click" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Ribbon Group Dialog Launcher</div>
				<div class="plainText" style="margin-top: 8px;">
				This text box will show the results of clicking the Ribbon Group's Dialog Launcher button.
				</div>
				<div style="margin-top: 8px;">
				<asp:TextBox runat="server" ID="EventText" Rows="4" TextMode="MultiLine" Width="500px"></asp:TextBox>
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Layout controls</div>
				<div class="plainText" style="margin-top: 8px;">
				The Layout controls provide consistent formatting for 1, 2, and 3 row layouts.
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can ensure changes are permanently persisted.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Server-Side Examples" PostBackUrl="~/Examples/ServerSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
