using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

using Telerik.WebControls;

using RussellMason.Web.UI;
using RussellMason.Web.UI.Office2007;

public partial class ServerSimpleAjax : RibbonPage
{

	protected override void RegisterAjaxSettings()
	{
		base.RegisterAjaxSettings();

		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ApplicationBarButton, this.MainApplicationBar);

		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ButtonStateButton, this.EnabledQuickAccessRibbonButton);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ButtonStateButton, this.CheckedQuickAccessRibbonButton);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ButtonStateButton, this.EnabledSmallRibbonButton);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ButtonStateButton, this.CheckedSmallRibbonButton);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ButtonStateButton, this.EnabledLargeRibbonButton);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ButtonStateButton, this.CheckedLargeRibbonButton);

		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ClickQuickAccessRibbonButton, this.EventText);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ClickLargeRibbonButton, this.EventText);
		this.AjaxManager.AjaxSettings.AddAjaxSetting(this.ClickSmallRibbonButton, this.EventText);
	}

	protected void ApplicationBarButton_Click(object sender, EventArgs e)
	{
		MainApplicationBar.DocumentName = this.DocumentText.Text;
		MainApplicationBar.ApplicationName = this.ApplicationText.Text;
	}

	protected void ButtonStateButton_Click(object sender, EventArgs e)
	{
		this.EnabledQuickAccessRibbonButton.Enabled = !this.EnabledQuickAccessRibbonButton.Enabled;
		this.CheckedQuickAccessRibbonButton.Checked = !this.CheckedQuickAccessRibbonButton.Checked;

		this.EnabledSmallRibbonButton.Enabled = !this.EnabledSmallRibbonButton.Enabled;
		this.CheckedSmallRibbonButton.Checked = !this.CheckedSmallRibbonButton.Checked;

		this.EnabledLargeRibbonButton.Enabled = !this.EnabledLargeRibbonButton.Enabled;
		this.CheckedLargeRibbonButton.Checked = !this.CheckedLargeRibbonButton.Checked;
	}

	protected void ClickQuickAccessRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Quick Access Ribbon Button Clicked" + Environment.NewLine;
	}
	
	protected void ClickSmallRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Small Ribbon Button Clicked" + Environment.NewLine;
	}
	
	protected void ClickLargeRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Large Ribbon Button Clicked" + Environment.NewLine;
	}

}
