<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ServerSmallRibbonButton.aspx.cs" Inherits="ServerSmallRibbonButton" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-side examples - Small Ribbon Buttons</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script language="javascript" type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="min-width: 600px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Small Ribbon buttons" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" ClientMemberName="_applicationBar">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Standard" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Split" PageViewID="PageView2" ID="RibbonTab2">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="SmallButtonGroup" runat="server" Text="Small Ribbon Buttons" Width="571px" ClientMemberName="_smallButtonGroup">
						<PlaceHolder>
							<orb:ThreeRowLayout ID="ThreeRowLayout1" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="ClickSmallRibbonButton" runat="server" Width="100px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Click" ToolTip="Click this button to demonstate the Click event" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_clickSmallRibbonButton" AutoPostBack="True" OnClick="ClickSmallRibbonButton_Click" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="EnabledSmallRibbonButton" runat="server" Width="100px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Enabled" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_enabledSmallRibbonButton" ToolTip="This button will reflect the Enabled state" /></CenterPlaceHolder>
								<BottomPlaceHolder><orb:SmallRibbonButton ID="CheckedSmallRibbonButton" runat="server" Width="100px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Checked" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_checkedSmallRibbonButton" ToolTip="This button will reflect the Checked state" /></BottomPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator1" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout2" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="DropDownSmallRibbonButton" runat="server" Width="170px" EnabledImageUrl="~/Images/16x16/Document.gif" DropDownMenuID="DropDownMenu" Text="Drop Down Menu" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_dropDownSmallRibbonButton" ToolTip="Click this button to demonstate the Click event" OnClick="DropDownSmallRibbonButton_Click" AutoPostBack="True" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="DropDownEnabledSmallRibbonButton" runat="server" Width="170px" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" Text="Drop Down Menu Enabled" DropDownMenuID="DropDownMenu" ClientMemberName="_dropDownEnabledSmallRibbonButton" ToolTip="This button will reflect the Enabled state" /></CenterPlaceHolder>
								<BottomPlaceHolder><orb:SmallRibbonButton ID="DropDownCheckedSmallRibbonButton" runat="server" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" Text="Drop Down Menu Checked" DropDownMenuID="DropDownMenu" Width="170px" ClientMemberName="_dropDownCheckedSmallRibbonButton" ToolTip="This button will reflect the Checked state" /></BottomPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator ID="RibbonSeparator2" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout3" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="TextSmallRibbonButton" runat="server" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Set" ClientMemberName="_textSmallRibbonButton" ToolTip="This button will reflect the text change" Width="70px" /></TopPlaceHolder>
							</orb:ThreeRowLayout>							
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%" CssClass="ribbonPart">
				<orb:RibbonGroup ID="SmallSplitButtonGroup" runat="server" Text="Small Split Ribbon Buttons" Width="571px" ClientMemberName="_smallSplitButtonGroup">
					<PlaceHolder>
					<orb:ThreeRowLayout ID="ThreeRowLayout4" runat="server">
						<TopPlaceHolder><orb:SmallSplitRibbonButton ID="ClickSmallSplitRibbonButton" runat="server" Width="110px" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Click" ToolTip="Click the left of this button to demonstate the Click event and the right to demstrate the RightClick event" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" ClientMemberName="_clickSplitSmallRibbonButton" AutoPostBack="True" OnClick="ClickSmallSplitRibbonButton_Click" OnRightClick="ClickSmallSplitRibbonButton_RightClick" /></TopPlaceHolder>
					</orb:ThreeRowLayout>
					<orb:RibbonSeparator ID="RibbonSeparator4" runat="server" />
					<orb:ThreeRowLayout ID="ThreeRowLayout5" runat="server">
					<TopPlaceHolder><orb:SmallSplitRibbonButton ID="EnabledSmallSplitRibbonButton" runat="server" Width="165px" EnabledImageUrl="~/Images/16x16/Document.gif" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" Text="Drop Down Menu Enabled" DropDownMenuID="DropDownMenu" ToolTip="Click the right of this button to display a drop down list. It will also reflect the Enabled state" /></TopPlaceHolder>
					<CenterPlaceHolder></CenterPlaceHolder>
					</orb:ThreeRowLayout>
					<orb:RibbonSeparator ID="RibbonSeparator5" runat="server" />
					<orb:ThreeRowLayout ID="ThreeRowLayout6" runat="server">
						<TopPlaceHolder><orb:SmallSplitRibbonButton ID="TextSmallRibbonSplitButton" runat="server" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Set" ClientMemberName="_textSmallSplitRibbonButton" ToolTip="This button will reflect the text change" Width="70px" /></TopPlaceHolder>
					</orb:ThreeRowLayout>
					</PlaceHolder>
				</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView3" runat="server" Width="100%">
					<radM:RadMenu ID="DropDownMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Drop down action 1">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Drop down action 2">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Drop down action 3">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Server-side examples</div>
				<div class="plainText" style="margin-top: 16px;">
				This text box will show the results of clicking any Ribbon button that has a server-side event handler.
				</div>
				<div style="margin-top: 8px;">
				<asp:TextBox runat="server" ID="EventText" Rows="4" TextMode="MultiLine" Width="500px"></asp:TextBox>
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">SmallRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Standard' tab to perform the following actions.<p/>
				Note that the drop down menus assigned to the buttons are not displayed. This is done
				by a client side script.<p/>
				Clicking the following buttons toggle the state of the Small Ribbon buttons.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" ID="ToggleEnabled" Text="Toggle Enabled State" OnClick="ToggleEnabled_Click" />
					<asp:Button runat="server" ID="ToggleChecked" Text="Toggle Checked State" OnClick="ToggleChecked_Click" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking this button toggles the text between 'Set' and 'Reset'.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" ID="ChangeText" Text="Change Text" OnClick="ChangeText_Click" /><br />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">SmallSplitRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Split' tab to perform the following actions.<p/>
				Clicking the following button toggles the state of the Small Split Ribbon buttons.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" ID="ToggleEnabledSplit" Text="Toggle Enabled State" OnClick="ToggleEnabledSplit_Click" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking this button toggles the text between 'Set' and 'Reset'.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" ID="TextSplit" Text="Change Text" OnClick="TextSplit_Click" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can see how changes made to the Ribbon on the client are 
				reflected back on the server.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Server-Side Examples" PostBackUrl="~/Examples/ServerSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
