using System;
using System.Collections.Generic;
using System.Text;

namespace RussellMason.Web.UI.Office2007
{

	#region Enumerations

	/// <summary>
	/// Specifies how deserializtion control matching is handled.
	/// </summary>
	public enum DeserializationControlMatch
	{

		/// <summary>
		/// The control's UniqueID value is used.
		/// </summary>
		UniqueID = 0,

		/// <summary>
		/// The control's ID is used.
		/// </summary>
		ID = 1

	} 

	#endregion Enumerations

}
