using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

using Telerik.WebControls;

using RussellMason.Web.UI;
using RussellMason.Web.UI.Office2007;

public partial class ServerApplicationBar : RibbonPage
{

	protected void DocumentTextButton_Click(object sender, EventArgs e)
	{
		this.MainApplicationBar.DocumentName = this.DocumentText.Text;
	}

	protected void ApplicationTextButton_Click(object sender, EventArgs e)
	{
		this.MainApplicationBar.ApplicationName = this.ApplicationText.Text;
	}

	protected void SetEnabledButton_Click(object sender, EventArgs e)
	{
		this.EnabledQuickAccessRibbonButton.Enabled = !this.EnabledQuickAccessRibbonButton.Enabled;
	}
	
	protected void SetCheckedButton_Click(object sender, EventArgs e)
	{
		this.CheckedQuickAccessRibbonButton.Checked = !this.CheckedQuickAccessRibbonButton.Checked;
	}

	protected void ClickQuickAccessRibbonButton_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "QuickAccessRibbonButton server-side Click event" + Environment.NewLine;
	}

	protected void CustomizeMenu_ItemClick(object sender, RadMenuEventArgs e)
	{
		if (e.Item.Value == "MinimizeRibbon")
		{
			this.MainApplicationBar.MinimizeRibbon = !this.MainApplicationBar.MinimizeRibbon;

			string imageUrl = ResolveClientUrl("~/Images/Misc/Unchecked.gif");

			if (this.MainApplicationBar.MinimizeRibbon)
			{
				imageUrl = ResolveClientUrl("~/Images/Misc/Checked.gif");
			}

			e.Item.ImageUrl = imageUrl;
		}
	}

}
