<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ServerLargeRibbonButton.aspx.cs" Inherits="ServerLargeRibbonButton" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-side examples - Large Ribbon Buttons</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script language="javascript" type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="min-width: 600px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="Large Ribbon buttons" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" ClientMemberName="_applicationBar">
				<PlaceHolder>
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Standard" PageViewID="PageView1" ID="RibbonTab1">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Split" PageViewID="PageView2" ID="RibbonTab2">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="LargeButtonGroup" runat="server" Text="Small Ribbon Buttons" Width="598px" ClientMemberName="_largeButtonGroup">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="ClickLargeRibbonButton" runat="server" Width="60px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Click" ToolTip="Click this button to demonstate the Click event" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_clickLargeRibbonButton" OnClick="ClickLargeRibbonButton_Click" AutoPostBack="True" />
							<orb:LargeRibbonButton ID="EnabledLargeRibbonButton" runat="server" Width="60px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Enabled" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_enabledLargeRibbonButton" ToolTip="This button will reflect the Enabled state" />
							<orb:LargeRibbonButton ID="CheckedLargeRibbonButton" runat="server" Width="60px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Checked" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_checkedLargeRibbonButton" ToolTip="This button will reflect the Checked state" />
							<orb:RibbonSeparator ID="RibbonSeparator1" runat="server" />
							<orb:LargeRibbonButton ID="DropDownLargeRibbonButton" runat="server" Width="115px" EnabledImageUrl="~/Images/32x32/Document.gif" DropDownMenuID="DropDownMenu" Text="Drop Down Menu Click" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_dropDownLargeRibbonButton" ToolTip="Click this button to demonstate the Click event" OnClick="DropDownLargeRibbonButton_Click" AutoPostBack="True" />
							<orb:LargeRibbonButton ID="DropDownEnabledLargeRibbonButton" runat="server" Width="95px" EnabledImageUrl="~/Images/32x32/Document.gif" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" Text="Drop Down Menu Enabled" DropDownMenuID="DropDownMenu" DropDownMenuAlignment="Left" ClientMemberName="_dropDownEnabledLargeRibbonButton" ToolTip="This button will reflect the Enabled state" />
							<orb:LargeRibbonButton ID="DropDownCheckedLargeRibbonButton" runat="server" EnabledImageUrl="~/Images/32x32/Document.gif" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" Text="Drop Down Menu Checked" DropDownMenuID="DropDownMenu" Width="95px" ClientMemberName="_dropDownCheckedLargeRibbonButton" DropDownMenuAlignment="Right" ToolTip="This button will reflect the Checked state" />
							<orb:RibbonSeparator ID="RibbonSeparator2" runat="server" />
							<orb:LargeRibbonButton ID="TextLargeRibbonButton" runat="server" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Set" ClientMemberName="_textLargeRibbonButton" ToolTip="This button will reflect the text change" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%" CssClass="ribbonPart"><orb:RibbonGroup ID="LargeSplitButtonGroup" runat="server" Text="Large Split Ribbon Buttons" Width="355px" ClientMemberName="_largeSplitButtonGroup">
					<PlaceHolder>
						<orb:LargeSplitRibbonButton ID="ClickLargeSplitRibbonButton" runat="server" Width="60px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Click" ToolTip="Click the top of this button to demonstate the Click event and the bottom to demstrate the BottomClick event" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_clickSplitLargeRibbonButton" OnClick="ClickLargeSplitRibbonButton_Click" AutoPostBack="True" OnBottomClick="ClickLargeSplitRibbonButton_BottomClick" />
						<orb:RibbonSeparator ID="RibbonSeparator3" runat="server" />
						<orb:LargeSplitRibbonButton ID="EnabledLargeSplitRibbonButton" runat="server" Width="95px" EnabledImageUrl="~/Images/32x32/Document.gif" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" Text="Drop Down Menu Enabled" DropDownMenuID="DropDownMenu" DropDownMenuAlignment="Left" ClientMemberName="_enabledLargeSplitRibbonButton" ToolTip="This button will reflect the Enabled state" />
						<orb:RibbonSeparator ID="RibbonSeparator4" runat="server" />
						<orb:LargeSplitRibbonButton ID="TextLargeRibbonSplitButton" runat="server" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Set" ClientMemberName="_textLargeSplitRibbonButton" ToolTip="This button will reflect the text change" />
					</PlaceHolder>
				</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView3" runat="server" Width="100%">
					<radM:RadMenu ID="DropDownMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Drop down action 1">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Drop down action 2">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Drop down action 3">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Server-side examples</div>
				<div class="plainText" style="margin-top: 16px;">
				This text box will show the results of clicking any Ribbon button that has a server-side event handler.
				</div>
				<div style="margin-top: 8px;">
				<asp:TextBox runat="server" ID="EventText" Rows="4" TextMode="MultiLine" Width="500px"></asp:TextBox>
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">LargeRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Standard' tab to perform the following actions.<p/>
				Note that the drop down menus assigned to the buttons are not displayed. This is done
				by a client side script.<p/>
				Clicking the following buttons toggle the state of the Large Ribbon buttons.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" id="ToggleEnabled" Text="Toggle Enabled State" OnClick="ToggleEnabled_Click" />
					<asp:Button runat="server" id="ToggleChecked" Text="Toggle Checked State" OnClick="ToggleChecked_Click" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking this button toggles the text between 'Set' and 'Reset'.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" id="ChangeText" Text="Change Text" OnClick="ChangeText_Click" /><br />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">LargeSplitRibbonButton</div>
				<div class="plainText" style="margin-top: 8px;">
				Select the Ribbon's 'Split' tab to perform the following actions.<p/>
				Clicking this button toggles the state of the Large Split Ribbon buttons.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" id="ToggleEnabledSplit" Text="Toggle Enabled State" OnClick="ToggleEnabledSplit_Click" />
				</div>
				<div class="plainText" style="margin-top: 8px;">
				Clicking this button toggles the text between 'Set' and 'Reset'.
				</div>
				<div style="margin-top: 8px;">
					<asp:Button runat="server" id="TextSplit" Text="Change Text" OnClick="TextSplit_Click" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can see how changes made to the Ribbon on the client are 
				reflected back on the server.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Server-Side Examples" PostBackUrl="~/Examples/ServerSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
